Bug 498503 - [PATCH] Fix use of freed file name when unable to import VPN config
[PATCH] Fix use of freed file name when unable to import VPN config
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 15:08 EDT by Lubomir Rintel
Modified: 2009-05-04 13:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 497992
Environment:
Last Closed: 2009-05-04 13:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for use-after-free issue (904 bytes, text/plain)
2009-04-30 15:08 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2009-04-30 15:08:26 EDT
Created attachment 341981 [details]
Fix for use-after-free issue

This bug was reported against EPEL's vpnc plugin, but it a NetworkManager issue present in Fedora as well. Attached patch was created against RHEL 5.3 NM and was tested to fix the issue.

You can reproduce it reliably:
1.) MALLOC_PERTURB_=123 nm-connection-settings
2.) Import VPN settings, select file that is not correct VPN settings
3.) See the error message

+++ This bug was initially created as a clone of Bug #497992 +++

Created an attachment (id=341551)
Importing pcf file error
...
Additional info:
The file name in the attachment is not correct. The file name seems to change randomly.
Comment 1 Niels Haase 2009-05-02 04:38:13 EDT
Thanks for the patch. But if you make changes to NetworkManager, create the
patch using a unified diff format (ie, diff -u) and mail the patch to the
NetworkManager list (networkmanager-list@gnome.org). Thanks

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Dan Williams 2009-05-04 13:34:09 EDT
a5f246b34a532f536d2d7d711a5bd9f132cffa2e (master)
b9b45320c0dd2e4bd24a63e24793a10e7d4fe52f (0.7)

Thanks!

Note You need to log in before you can comment on or make changes to this bug.